> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a payment link



## OpenAPI

````yaml /openapi.json post /payment-links
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /payment-links:
    post:
      tags:
        - payments
      summary: Create a payment link
      operationId: PaymentLifecycle.Web.PaymentLinkController.create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentLinkParams'
        description: Create a payment link params
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentLinkResponse'
          description: Payment link details
        '400':
          $ref: '#/components/responses/bad_request'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
      callbacks: {}
components:
  schemas:
    CreatePaymentLinkParams:
      type: object
    PaymentLinkResponse:
      type: object
  responses:
    bad_request:
      description: Bad Request
    unprocessable_entity:
      content:
        application/json:
          schema:
            type: object
      description: Unprocessable Entity

````